NX Open C++ Reference Guide
|
Represents Routing::StockTransition object. More...
Additional Inherited Members | |
![]() | |
enum | AttributeType { AttributeTypeInvalid, AttributeTypeNull, AttributeTypeBoolean, AttributeTypeInteger, AttributeTypeReal, AttributeTypeString, AttributeTypeTime, AttributeTypeReference, AttributeTypeAny = 100 } |
Specifies attribute type. More... | |
enum | DateAndTimeFormat { DateAndTimeFormatNumeric, DateAndTimeFormatTextual } |
Specifies the format of the date and time attribute. More... | |
![]() | |
void | AddSegments (const std::vector< NXOpen::Curve * > &segments) |
Adds new segments to this object. | |
void | AlignStock (const NXOpen::Vector3d &vector) |
Align stock to new rotation vector. | |
void | ColorBodies () |
Colors the solid bodies of the stock based on the COLOR characteristic specified in the Routing::StockData of the stock. | |
virtual void | DeleteCharacterstics (NXOpen::Routing::CharacteristicList *values) |
Removes the input list of characteristics from this object. | |
void | EnableFeatures () |
Makes the stock "featurable" by generating a sweep feature over every segment of the stock, with a boolean feature uniting all of the sweeps to form a single body. | |
NXOpen::Routing::Anchor * | GetAnchor () |
Gets the Routing::Anchor that currently modifies the profile for the stock. | |
virtual NXOpen::Routing::CharacteristicList * | GetCharacteristics () |
Get all of the characteristics values on the this object. | |
NXOpen::Assemblies::Component * | GetComponent () |
Returns the Assemblies::Component created and controlled by the stock for a Stock as Components stock. | |
NXOpen::Routing::CrossSection * | GetCrossSection () |
Gets the Routing::CrossSection that currently defines the profile for the stock. | |
virtual NXOpen::Routing::CharacteristicList * | GetDestinationCharacteristics () |
Returns the destination characteristics from the input object. | |
std::vector < NXOpen::Features::Feature * > | GetFeatures () |
Returns the sweep features that are created and controlled by this object. | |
NXOpen::Routing::Flip | GetFlippedStatus () |
Gets whether or not the profile is flipped. | |
virtual int | GetIntegerCharacteristic (const NXString &name) |
Get the value of an integer characteristic associated with the input name. | |
int | GetIntegerCharacteristic (const char *name) |
Get the value of an integer characteristic associated with the input name. | |
NXOpen::Routing::ComponentName | GetNameStatus () |
Returns whether or not the component associated with a Stock as Components Stock has a permanent or temporary name. | |
double | GetOriginalLength () |
Returns the original length for a stock that has been deformed (it's use is Routing::StockUseDeformed ). | |
void | GetPorts (NXOpen::Routing::StockPort **startPort, NXOpen::Routing::StockPort **endPort) |
Returns the Routing::StockPort at each end of the stock. | |
NXOpen::Routing::ProfileFrom | GetProfileEnd () |
Gets the end that defines profile. | |
virtual double | GetRealCharacteristic (const NXString &name) |
Get the value of a real characteristic associated with the input name. | |
double | GetRealCharacteristic (const char *name) |
Get the value of a real characteristic associated with the input name. | |
double | GetRotationAngle () |
Gets the rotation angle applied to the profile. | |
std::vector< NXOpen::Curve * > | GetSegments () |
Gets the segments that the Routing::Stock object is placed on top of. | |
NXOpen::Routing::StockData * | GetStockData () |
Gets the Routing::StockData . | |
NXOpen::Routing::StockStyle | GetStockStyle () |
Gets the Routing::StockStyle of the Routing::Stock . | |
NXOpen::Routing::StockUse | GetStockUse () |
Returns the use of the stock. | |
virtual NXString | GetStringCharacteristic (const NXString &name) |
Get the value of a string characteristic associated with the input name. | |
NXString | GetStringCharacteristic (const char *name) |
Get the value of a string characteristic associated with the input name. | |
double | GetTwistAngle () |
Gets the twist angle applied to the profile. | |
bool | NegateOffsetsFlag () |
Returns the negate offsets flag of this Routing::Stock . | |
void | RemoveSegments (const std::vector< NXOpen::Curve * > &segments) |
Removes segments from this object. | |
void | RenameStockComponent (const NXString &partName) |
Renames the stock component part with given name Created in NX7.5.4. | |
void | RenameStockComponent (const char *partName) |
Renames the stock component part with given name Created in NX7.5.4. | |
void | SetAnchor (NXOpen::Routing::Anchor *anchor) |
Sets the Routing::Anchor . | |
virtual void | SetCharacteristic (const NXString &name, int value) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, int value) |
Set the value of an integer characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, double value) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, double value) |
Set the value of an real characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristic (const NXString &name, const NXString &value) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
void | SetCharacteristic (const char *name, const char *value) |
Set the value of an string characteristic associated with the input name, adds a new characteristic to the list if one doesn't exist already. | |
virtual void | SetCharacteristics (NXOpen::Routing::CharacteristicList *values) |
Set all of the characteristics values on this object. | |
void | SetCrossSection (NXOpen::Routing::CrossSection *crossSection) |
Sets the Routing::CrossSection . | |
void | SetFlippedStatus (NXOpen::Routing::Flip flipped) |
Sets whether or not the profile is flipped. | |
void | SetNegateOffsetsFlag (bool offsetFlag) |
Sets the negate offsets flag of this Routing::Stock . | |
void | SetProfileEnd (NXOpen::Routing::ProfileFrom profileEnd) |
Sets the end that defines profile. | |
void | SetRotationAngle (double rotationAngle) |
Sets the rotation angle applied to the profile. | |
void | SetStockData (NXOpen::Routing::StockData *stockData) |
Sets the Routing::StockData . | |
void | SetStockStyle (NXOpen::Routing::StockStyle style) |
Sets the Routing::StockStyle of the Routing::Stock . | |
void | SetTwistAngle (double twistAngle) |
Sets the twist angle applied to the profile. | |
void | SyncComponentAttrs (bool isNewPart) |
Set the characteristics of the given stock's component so that it has the same characteristics as the Routing::Stock and its stock data. | |
Represents Routing::StockTransition object.
Routing::StockTransition covers C1 continuous Routing::ISegment in between two stocks. It acts as transition from Routing::CrossSection of one Routing::Stock to another. When two different Routing::Stock are connected with set of segments, then a stockTransition can be used to cover it in such a way that Routing::CrossSection at each end of this segments matches with the stock at that location. These segments can be a routing path, or just a collection of segments. Routing::Stock covers segments, and Routing::StockTransition inherits that behavior. However, Routing::StockTransition refers to two end Routing::Stock and the Routing::CrossSection of Routing::StockTransition object varies from one end to another.
Creator not available in KF because transient objects are not supported.
Created in NX7.5.0.